Bug 174463 - CVE-2005-3883 PHP mb_send_mail() header parsing issue
CVE-2005-3883 PHP mb_send_mail() header parsing issue
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: Security
Depends On:
Blocks: 175040
  Show dependency treegraph
Reported: 2005-11-29 07:18 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0276
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-25 10:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-11-29 07:18:39 EST
PHP mb_send_mail() header parsing issue


The mb_send_mail() function does not properly verify the "To" header
when sending mail.  This could allow an attacker to inject arbitrary
headers into an outgoing mail message which could be used to relay

This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 3 Red Hat Bugzilla 2006-04-25 10:27:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.